Subject: Re: [PATCH] net/ncsi: Fix NULL pointer derefence if CIS arrives before SP

From: Jakub Kicinski <[email-masked]>
Date: Fri, 17 Jan 2025 14:43:32 -0800

On Fri, 17 Jan 2025 15:05:24 -0600 Eddie James wrote:
> I am able to reproduce the panic at will, and unfortunately your patch 
> does not prevent the issue.
> 
> However I suspect this issue may be unique to my set up, so my patch may 
> not be necessary. I found that I had some user space issues. Fixing 
> userspace prevented this issue.

The kernel shouldn't crash even if user space is buggy..
Maybe we can apply a simplified patch to return an error if !np?